Subject: GnuCash cannot get online quotes

From: Altadil <[email-masked]>
Date: Sun, 06 Aug 2023 09:30:51 +0000

Hi,

GnuCash 5.3, as packaged in Guix, cannot access quote sources. When adding a new security, it displays "Warning: Finance::Quote not installed properly." and the "Get Online Quotes" checkbox is greyed out.

I am on an up-to-date Guix System and the rest of GnuCash seems to be working fine.

It seems the package perl-finance-quote was not automatically installed with gnucash, so I installed it. I then tried to follow the steps in the upstream doc: https://www.gnucash.org/docs/v4/C/gnucash-help/finance-quote-install.html
But it did not change the result.

The flatpak version of GnuCash from flathub.org (also 5.3) appears to be working (on the same Guix System).

Best regards,
Altadil